Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.files
Enum SerializationModeEnum

    java.lang.Object
      java.lang.Enum<SerializationModeEnum>
          org.pdfclown.files.SerializationModeEnum

All Implemented Interfaces:
  Serializable, Comparable<SerializationModeEnum>

    public enum SerializationModeEnum

extends Enum<SerializationModeEnum>

PDF file serialization mode [PDF:1.6:3.4].

Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Incremental` Standard incremental file serialization [PDF:1.6:2.2.7].
`Linearized` Linearized file serialization [PDF:1.6:F].
`Standard` Standard complete file serialization [PDF:1.6:3.4].

Method Summary
`static SerializationModeEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SerializationModeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Standard

    public static final SerializationModeEnum Standard

  Standard complete file serialization [PDF:1.6:3.4].

  It writes the entire file, generating a single-section cross-reference table and removing obsolete data structures. It reduces the serialization size, but it's more computationally-intensive (slower).

### Incremental

    public static final SerializationModeEnum Incremental

  Standard incremental file serialization [PDF:1.6:2.2.7].

  It leaves original contents intact, appending changes to the end of the file along with an additional cross-reference table section. It increases the serialization size, but it's faster.

### Linearized

    public static final SerializationModeEnum Linearized

  Linearized file serialization [PDF:1.6:F].

  It organizes the file to enable efficient incremental access in a network environment. It increases the serialization size and it's more computationally-intensive (slower).

Method Detail

### values

    public static SerializationModeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerializationModeEnum c : SerializationModeEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerializationModeEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.